Name:           metamonitor
Version:        0.4.5
Release:        2%{?dist}
Summary:        A Simple program that watches log files and popup its changes

Group:          Applications/System
License:        GPL
URL:            http://metamonitor.sourceforge.net/
Source0:	http://easynews.dl.sourceforge.net/sourceforge/metamonitor/%{name}-%{version}.tar.bz2
Patch0:         metamonitor-symlink-relative.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs-devel, desktop-file-utils, gettext, libxml2

%description
metamonitor is a simple program written for KDE, which watches the syslog's
or metalog's log file and pops up the window whenever the new message comes.
You can specify the file to watch and a regular expression for parsing the
log line, so you can watch other than log files too.


%prep
%setup -q
%patch0 -p0


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include
%configure --disable-rpath --disable-debug
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        --add-category Application                              \
        --add-category Utility                                  \
        --add-category KDE                                      \
        --add-category Qt                                       \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applnk/Utilities/metamonitor.desktop
%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x ${_bindir}/gtk-update-icon-cache ] ; then
        ${_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x ${_bindir}/gtk-update-icon-cache ] ; then
        ${_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc %{_docdir}/HTML/*/metamonitor/*
%{_bindir}/metamonitor
%{_datadir}/applications/fedora-metamonitor.desktop
%{_datadir}/apps/metamonitor/themes/*
%{_datadir}/icons/hicolor/*/apps/metamonitor.png

%changelog
* Thu Jun  8 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.5-2
- Fixed description field size
- Applied patch (0) to modify a symlink to be relative
- Removed qt-devel and arts-devel BR - provided by kdelibs

* Sat May 20 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.5-1
- Initial RPM release.
